{
	"name": "form/nc/dialog-4d/dialog-4d.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "dialog-4d-form"
		},
		"element": [
			{
				"component": "nc-row",
				"attribute": { "id": "_4D_Row_Top_Info" },
				"element": [
					{
						"component": "nc-col",
						"attribute": { "width": "auto" },
						"element": [
							{
								"component": "nc-label",
								"attribute": {
									"id": "_4D_pr_nc_tSaldoInfo",
									"model": "rec.pr_nc_tSaldoInfo"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "width": "auto", "class": ["nc-margin-left"] },
						"element": [
							{
								"component": "nc-label",
								"attribute": {
									"id": "_4D_pr_nc_tNeedAlert",
									"model": "rec.pr_nc_tNeedAlert"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "width": "auto", "class": ["nc-margin-left"] },
						"element": [
							{
								"component": "nc-label",
								"attribute": {
									"id": "_4D_pr_nc_tProductInfo",
									"model": "rec.pr_nc_tProductInfo"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": { "id": "_4D_Row_Top_Buttons" },
				"element": [
					{
						"component": "nc-col",
						"attribute": { "width": "auto" },
						"element": [
							{
								"component": "nc-button",
								"attribute": {
									"id": "_4D_so_bCheckMar",
									":icon": "'check'"
								}
							},
							{
								"component": "nc-button",
								"text": "So Beicheckm",
								"attribute": {
									"id": "_4D_so_bEiCheckM",
									"class": ["nc-margin-left"]
								}
							},
							{
								"component": "nc-button",
								"text": "Myyntitilausrivit...",
								"attribute": {
									"id": "_4D_so_bLataa",
									"class": ["nc-margin-left"]
								}
							},
							{
								"component": "nc-picture-button",
								"attribute": {
									"id": "_4D_lbRowOpen",
									":icon": "'arrow-right'",
									"class": ["nc-margin-left"]
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "width": "auto" }
					},
					{
						"component": "nc-col",
						"attribute": { "width": "auto", "class": ["nc-end-h"] },
						"element": [
							{
								"component": "nc-button",
								"text": "Kohdista paketti...",
								"attribute": {
									"id": "_4D_sor_bJaa"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": { "id": "_4D_Row_Grid" },
				"element": [
					{
						"component": "nc-col",
						"attribute": { "width": "auto", "height": "auto" },
						"element": [
							{
								"component": "nc-grid",
								"attribute": {
									"id": "_4D_sor_exRivit",
									"model": "rec.sor_exRivit",
									"width": "auto",
									"height": "auto"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": { "id": "_4D_Row_Send_Receive_Buttons" },
				"element": [
					{
						"component": "nc-col",
						"attribute": { "width": "auto" },
						"element": [
							{
								"component": "nc-checkbox",
								"text": "Tee keräyslistat",
								"attribute": {
									"id": "_4D_so_cPickUpList",
									"model": "rec.so_cPickUpList"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "width": "auto" }
					},
					{
						"component": "nc-col",
						"attribute": { "width": "auto", "class": ["nc-end-h"] },
						"element": [
							{
								"component": "nc-picture-button",
								"attribute": {
									"id": "_4D_fi_lpbPopModify",
									":icon": "'pen'"
								}
							},
							{
								"component": "nc-button",
								"text": "Lähetä",
								"attribute": {
									"id": "_4D_so_lbSend",
									"class": ["nc-margin-left"]
								}
							},
							{
								"component": "nc-button",
								"text": "Vastaanota",
								"attribute": {
									"id": "_4D_so_lbReceive",
									"class": ["nc-margin-left"]
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": { "id": "_4D_Row_Segments_Stock_CoveringLetter" },
				"element": [
					{
						"component": "nc-col",
						"attribute": { "width": "auto" },
						"element": [
							{
								"component": "nc-segment",
								"attribute": {
									"id": "_4D_Group_Box5",
									"text": "Stock",
									"hdr": "hdr.dialog_4d_segment_stock_title"
								},
								"element": [
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"element": [
													{
														"component": "nc-checkbox",
														"text": "Tee varastotapahtumat",
														"attribute": { "id": "_4D_so_cVarTap", "model": "rec.so_cVarTap" }
													}
												]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"element": [
													{
														"component": "nc-checkbox",
														"text": "Poista settirivit",
														"attribute": { "id": "_4D_so_clSetRowsRemove", "model": "rec.so_clSetRowsRemove" }
													}
												]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"element": [
													{
														"component": "nc-checkbox",
														"text": "Vajaat rivit loppuuntoimitetuiksi",
														"attribute": { "id": "_4D_so_cToimLT", "model": "rec.so_cToimLT" }
													}
												]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [
													{
														"component": "nc-label",
														"attribute": { "id": "_4D_so_hs_Code_label_stock", "model": "rec.so_hs_Code" }
													}
												]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "auto", "class": ["nc-margin-left"] },
												"element": [
													{
														"component": "nc-input",
														"attribute": { "id": "_4D_st_sCode", "model": "rec.st_sCode", "readonly": true, "type": "text", "placeholder": "hdr.st_sCode_placeholder" }
													}
												]
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "width": "auto", "class": ["nc-margin-left"] },
						"element": [
							{
								"component": "nc-segment",
								"attribute": {
									"id": "_4D_Group_Box1",
									"text": "Covering Letter",
									"hdr": "hdr.dialog_4d_segment_covering_letter_title"
								},
								"element": [
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [{ "component": "nc-checkbox", "text": "Tee lähetteet", "attribute": { "id": "_4D_so_cTeeLhli", "model": "rec.so_cTeeLhli" } }]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "auto", "class": ["nc-margin-left"] },
												"element": [{ "component": "nc-checkbox", "text": "Yhdistä vanhaan", "attribute": { "id": "_4D_so_lcDnOldConnect", "model": "rec.so_lcDnOldConnect" } }]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "6em", "class": ["nc-margin-left"] },
												"element": [
													{
														"component": "nc-input",
														"attribute": { "id": "_4D_dn_sCode", "model": "rec.dn_sCode", "readonly": true, "type": "text", "placeholder": "hdr.dn_sCode_placeholder" }
													}
												]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [{ "component": "nc-checkbox", "text": "Korvaa vanhat lähetteet", "attribute": { "id": "_4D_so_cKorvLhe", "model": "rec.so_cKorvLhe" } }]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "auto", "class": ["nc-margin-left"] },
												"element": [{ "component": "nc-checkbox", "text": "Yhdistä tilaukset", "attribute": { "id": "_4D_so_cYhdistl", "model": "rec.so_cYhdistl" } }]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [{ "component": "nc-checkbox", "text": "Tulosta lähetteet", "attribute": { "id": "_4D_so_cP_Lhli", "model": "rec.so_cP_Lhli" } }]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "auto", "class": ["nc-margin-left"] },
												"element": [{ "component": "nc-checkbox", "text": "Ask pallets", "attribute": { "id": "_4D_so_lcAskPallets", "model": "rec.so_lcAskPallets" } }]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [{ "component": "nc-checkbox", "text": "Make waybill", "attribute": { "id": "_4D_so_lcMakeWaybill", "model": "rec.so_lcMakeWaybill" } }]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "auto", "class": ["nc-margin-left"] },
												"element": [
													{ "component": "nc-checkbox", "text": "Print freight book", "attribute": { "id": "_4D_so_lcPrintFreightBook", "model": "rec.so_lcPrintFreightBook" } }
												]
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": { "id": "_4D_Row_PackingMaterial_Button" },
				"element": [
					{ "component": "nc-col", "attribute": { "width": "auto" } },
					{
						"component": "nc-col",
						"attribute": { "width": "auto", "class": ["nc-end-h"] },
						"element": [
							{
								"component": "nc-button",
								"text": "Packing material...",
								"attribute": {
									"id": "_4D_so_lbPackingMaterial"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": { "id": "_4D_Row_Segments_Date_Invoice" },
				"element": [
					{
						"component": "nc-col",
						"attribute": { "width": "auto" },
						"element": [
							{
								"component": "nc-segment",
								"attribute": {
									"id": "_4D_Group_Box4",
									"text": "Date",
									"hdr": "hdr.dialog_4d_segment_date_title"
								},
								"element": [
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [{ "component": "nc-checkbox", "text": "Päiväyksen muutos", "attribute": { "id": "_4D_sor_excToimP", "model": "rec.sor_excToimP" } }]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "8em", "class": ["nc-margin-left"] },
												"element": [
													{
														"component": "nc-input",
														"attribute": { "id": "_4D_sor_exdToimPv", "model": "rec.sor_exdToimPv", "type": "date", "placeholder": "hdr.sor_exdToimPv_placeholder" }
													}
												]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"element": [{ "component": "nc-checkbox", "text": "Tulosta päätylaput", "attribute": { "id": "_4D_so_cPtylap", "model": "rec.so_cPtylap" } }]
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "width": "auto", "class": ["nc-margin-left"] },
						"element": [
							{
								"component": "nc-segment",
								"attribute": {
									"id": "_4D_Group_Box2",
									"text": "Invoice",
									"hdr": "hdr.dialog_4d_segment_invoice_title"
								},
								"element": [
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [{ "component": "nc-checkbox", "text": "Tee laskut", "attribute": { "id": "_4D_so_cTeeLasku", "model": "rec.so_cTeeLasku" } }]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "auto", "class": ["nc-margin-left"] },
												"element": [{ "component": "nc-checkbox", "text": "Tulosta laskut", "attribute": { "id": "_4D_so_cP_Lasku", "model": "rec.so_cP_Lasku" } }]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [{ "component": "nc-checkbox", "text": "Yksi lasku/asiakas", "attribute": { "id": "_4D_so_cYhdist", "model": "rec.so_cYhdist" } }]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "auto", "class": ["nc-margin-left"] },
												"element": [{ "component": "nc-checkbox", "text": "Pienlaskutuslisä", "attribute": { "id": "_4D_so_cPienLis", "model": "rec.so_cPienLis" } }]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [{ "component": "nc-checkbox", "text": "Yhdistä tuotteet", "attribute": { "id": "_4D_so_cYhdistT", "model": "rec.so_cYhdistT" } }]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "auto", "class": ["nc-margin-left"] },
												"element": [{ "component": "nc-checkbox", "text": "Tarkasta siirto", "attribute": { "id": "_4D_so_cTarkSiir", "model": "rec.so_cTarkSiir" } }]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [
													{
														"component": "nc-radio",
														"text": "Normaalilasku",
														"attribute": { "id": "_4D_inpa_lbNormaali", "model": "rec.inpa_lbNormaali_group", "value": "normaali", "name": "invoice_type_group" }
													}
												]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "auto", "class": ["nc-margin-left"] },
												"element": [
													{
														"component": "nc-radio",
														"text": "Hyvityslasku",
														"attribute": { "id": "_4D_inpa_lbHyvitys", "model": "rec.inpa_lbNormaali_group", "value": "hyvitys", "name": "invoice_type_group" }
													}
												]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": { "width": "auto" },
												"element": [{ "component": "nc-label", "attribute": { "id": "_4D_so_hs_Code_label_invoice", "model": "rec.so_hs_Code" } }]
											},
											{
												"component": "nc-col",
												"attribute": { "width": "auto", "class": ["nc-margin-left"] },
												"element": [
													{
														"component": "nc-input",
														"attribute": { "id": "_4D_in_sCode", "model": "rec.in_sCode", "readonly": true, "type": "text", "placeholder": "hdr.in_sCode_placeholder" }
													}
												]
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": { "id": "_4D_Row_Segment_Delivery" },
				"element": [
					{
						"component": "nc-col",
						"attribute": { "width": "auto" },
						"element": [
							{
								"component": "nc-segment",
								"attribute": {
									"id": "_4D_Group_Box3",
									"text": "Delivery",
									"hdr": "hdr.dialog_4d_segment_delivery_title"
								},
								"element": [
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"element": [{ "component": "nc-checkbox", "text": "Toimita myyntirivit", "attribute": { "id": "_4D_so_cToim", "model": "rec.so_cToim" } }]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"element": [
													{ "component": "nc-checkbox", "text": "Toimita enintään varastomäärillä", "attribute": { "id": "_4D_so_cToimVTap", "model": "rec.so_cToimVTap" } }
												]
											}
										]
									}
								]
							}
						]
					},
					{ "component": "nc-col", "attribute": { "width": "auto" } }
				]
			},
			{
				"component": "nc-row",
				"attribute": { "id": "_4D_Row_Bottom_Buttons" },
				"element": [
					{ "component": "nc-col", "attribute": { "width": "auto" } },
					{
						"component": "nc-col",
						"attribute": { "width": "auto", "class": ["nc-end-h"] },
						"element": [
							{
								"component": "nc-button",
								"text": "Poistu",
								"attribute": {
									"id": "_4D_gbCancel",
									"action": "cancel"
								}
							},
							{
								"component": "nc-button",
								"text": "Suorita",
								"attribute": {
									"id": "_4D_gbOK",
									"class": ["nc-margin-left"]
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": { "id": "_4D_Row_Escape_Button" },
				"element": [
					{
						"component": "nc-col",
						"attribute": { "width": "auto" },
						"element": [
							{
								"component": "nc-button",
								"text": "Lb Escape",
								"attribute": {
									"id": "_4D_lbEscape"
								}
							}
						]
					},
					{ "component": "nc-col", "attribute": { "width": "auto" } }
				]
			}
		]
	}
}
